summaryrefslogtreecommitdiff
path: root/deps/gyp/test/mac/sdkroot/test_shorthand.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deps/gyp/test/mac/sdkroot/test_shorthand.sh')
-rwxr-xr-xdeps/gyp/test/mac/sdkroot/test_shorthand.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/deps/gyp/test/mac/sdkroot/test_shorthand.sh b/deps/gyp/test/mac/sdkroot/test_shorthand.sh
new file mode 100755
index 0000000000..ac4ac229ae
--- /dev/null
+++ b/deps/gyp/test/mac/sdkroot/test_shorthand.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright (c) 2012 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+found=false
+for sdk in 10.6 10.7 10.8 10.9 ; do
+ if expected=$(xcodebuild -version -sdk macosx$sdk Path 2>/dev/null) ; then
+ found=true
+ break
+ fi
+done
+if ! $found ; then
+ echo >&2 "cannot find installed SDK"
+ exit 1
+fi
+
+test $SDKROOT = $expected